Package org.italiangrid.voms.request

# Interface VOMSServerInfoStoreListener

All Known Implementing Classes:
  `NullListener`

public interface VOMSServerInfoStoreListener
This interface is used to notify about events related to the load operations of VOMSES server endpoint information.

Author:
  andreaceccanti

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyNoValidVOMSESError(List<String> searchedPaths)`
Informs that no valid VOMS information was found on the system.
`void`
`notifyVOMSESInformationLoaded(String vomsesPath, VOMSServerInfo info)`
Informs that VOMSES information was succesfully loaded from a given path
`void`
`notifyVOMSESlookup(String vomsesPath)`
Informs that VOMSES is being search at the path passed as argument

## Method Details

### notifyNoValidVOMSESError

void notifyNoValidVOMSESError(List<String> searchedPaths)
Informs that no valid VOMS information was found on the system.

Parameters:
  `searchedPaths` - the list of searched paths

### notifyVOMSESlookup

void notifyVOMSESlookup(String vomsesPath)
Informs that VOMSES is being search at the path passed as argument

Parameters:
  `vomsesPath` - the path where VOMSES information are being looked for

### notifyVOMSESInformationLoaded

void notifyVOMSESInformationLoaded(String vomsesPath, VOMSServerInfo info)
Informs that VOMSES information was succesfully loaded from a given path

Parameters:
  `vomsesPath` - the path where VOMSES information was loaded from
  `info` - the `VOMSServerInfo` voms endpoint information